-- Hangul Chatting Mod for Supreme Commander: Forged Alliance by Joongi Kim.

-- Setup dependency
--local UIUtil = import('uiutil.lua')
--local UIFile = UIUtil.UIFile
LOG('loading hangulchat...')
local hangul_mod = import('/mods/hangulchat/hangul.lua')

-- Initialize
local old_CreateChatEdit = CreateChatEdit

function CreateChatEdit()
	local group = old_CreateChatEdit()

	local old_OnEnterPressed = group.edit.OnEnterPressed
	group.edit.OnEnterPressed = function(self, text)
		old_OnEnterPressed(self, hangul_mod.conv2hangul(text))
	end
	
	return group
end

